Subject: bug#41242: Port feature/native-comp to Windows

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 May 2020 20:35:44 +0300

> From: Nicolas Bértolo <[email-masked]>
> Date: Sat, 23 May 2020 14:20:09 -0300
> Cc: Andrea Corallo <[email-masked]>, [email-masked]
> 
> > My observation was based on the fact that addresses of the same
> > objects that I see in the debugger are different from session to
> > session on Windows 7 and Windows 10, but not on XP. 
> 
> That would mean that the heap is randomized, right? But the code could
> still be always loaded at the same address.

I don't remember if it was only the heap, or also addresses of other
areas.  For example, I think the stack was also in a different area.

> Coming back to the performance problem when loading: apart from reducing
> the number of files probed, we could try parallelizing openp() using a thread
> pool. What do you think?

I'd start by reducing the number of probed files, and then I'd
benchmark the results and see if it's "good enough".  Threads add
another dimension of complexity, so I'd only go there if we have a
very good reason.